<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ProveedorEvaluacion extends Model
{
    protected $table = "rms_proveedor_evaluacion";
    protected $fillable = ['proveedor_id', 'catalogo_id', 'firma_id', 'fecha', 'comentarios', 'total'];
    protected $dates = [ 'fecha' ];

    public function proveedor(){
    	return $this->belongsTo('App\Proveedor', 'proveedor_id');
    }

    public function puntos(){
    	return $this->hasMany('App\ProveedorEvaluacionPuntos', 'evaluacion_id');
	}

	public function firma(){
    	return $this->hasOne('App\Firma', 'id', 'firma_id');
    }
}
